Komodo Edit 9.3.2 Brings Changes

As you may know, Komodo Edit is an IDE for coding in various web languages: Python, PHP, Ruby, Perl, HTML, CSS and JavaScript.

The latest version available is Komodo Edit 9.3.2, which brings changes.

  • Collab: Use tooltip instead of panels, to eliminate focus issues.
  • EditorConfig: Reverted a change that made some prefs not apply.
  • Find: Fix “where” section not remembered.
  • Find: Keep focus inside find frame when tabbing.
  • Fixed regression in Perl interpolated variable highlighting with Scintilla upgrade.
  • Linter: Show at most 10 results at a time.
  • Non-scannable UDL languages like XML do not have scopes; do not raise errors.
  • Notifications: Corner notifications should not be too wide.
  • Notifications: Fixed notifications stealing focus, for real this time.
  • Projects: Fix editor prefs missing under Project prefs.
  • Projects: Fixed #860 can’t open projects with “ ” in name.
  • Projects: Places opens in wrong context in newWindow.
  • SCSS: Use ’//’ for line comments in SCSS.
  • UI: Highlight focused elements in the HUD.
  • codeintel: Buffers with only one token should not cause errors anymore.
  • codeintel: Do not error on blank documents.
  • codeintel: PHP: Fixed interface method inheritence.
  • codeintel: golang: Fixed codeintel crash in some instances of “goto definition”.
  • editor: Do not auto-expand abbreviations when recording macros or when there is a column selection.
  • editor: Fixed out-of-control drag-and-drop for large files and word wrap.
  • editor: Ignore smart wrapping when performing a key combination.
  • editor: minimap: Do not allow markers to be shown.
  • Projects: Fixed projects failing to open in new windows due to space in filename.

Installation instructions:

The latest version of Komodo Edit are available via some third party PPA, so installing this IDE on Ubuntu shouldn’t be too hard.

You just need to add the PPA to your system, update the local repository index and install the komodo-edit package:

$ sudo add-apt-repository ppa:mystic-mirage/komodo-edit
$ sudo apt-get update
$ sudo apt-get install komodo-edit

Optional, to remove komodo-edit, do:

$ sudo apt-get remove komodo-edit

The installation instructions should work on Ubuntu 15.10 Wily Werewolf, Ubuntu 15.04 Vivid Vervet, Ubuntu 14.04 Trusty Tahr, Ubuntu 12.04 Precise Pangolin, Linux Mint 17.3 Rosa, Linux Mint 17.2 Rafaela, Linux Mint 17.1 Rebecca, Linux Mint 17 Qiana, Pinguy OS 14.04, Elementary OS 0.3 Freya, Deepin 2014, Peppermint 6, Peppermint 5, LXLE 14.04, Linux Lite 2 and other Ubuntu derivative systems.

Liked it? Take a second to support Geekster on Patreon!
Tagged with: , , , , , , , , , , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Support LinuxG via Patreon
Support LinuxG.net on Patreon!
Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!